## coldformix 0.1.2-1

=== Makefile ===
#!/usr/bin/make
# Dies ist das coldformix Makefile


# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/problectix)
DESTDIR=

#
#
# To create an update *.ps with selected pages:
# psselect -p 12,14,18 input.ps output.ps
#
# To create a new refsym.zip: 
#    cd coldformix-source/refsym
# and use the Makefile there
#
# To create a new rltsym.zip: 
#    cd coldformix-source/rltsym
# and use the Makefile there
#
#
# What language to use
LANG=
CONFIG=all
VERSION=x.x

# Where the generated latex-files are
LATEX=coldformix-generated/$(LANG)/latex
WWW=/var/www/coldformixhtdoc/download/stable-1.0


help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   Create an official collection of formula :'
	@echo '     make LANG=de CONFIG=bszleo VERSION=2.0.4 clean'
	@echo '     make LANG=de CONFIG=bszleo VERSION=2.0.4 dina4 dina5 ohp'
	@echo ' '


# End-Dokumente erzeugen
# DIN A4-Datei
dina4: ps
	cd $(LATEX); ps2pdf coldformix-$(LANG)-$(CONFIG)-$(VERSION).ps
	cd $(LATEX); gv coldformix-$(LANG)-$(CONFIG)-$(VERSION).ps

# Folien fr OHP auf DIN A4
ohp: ps
	cd coldformix-scripts; ./coldformix-ohp --l $(LANG) --v $(VERSION) --c $(CONFIG) 
	cd $(LATEX); ps2pdf coldformix-$(LANG)-$(CONFIG)-$(VERSION)-ohp.ps
	cd $(LATEX); gv --scale=1 coldformix-$(LANG)-$(CONFIG)-$(VERSION)-ohp.ps
#	cd $(LATEX); kghostview coldformix-$(LANG)-$(CONFIG)-$(VERSION)-ohp.ps



# DIN A5-Datei
dina5: ps
	cd coldformix-scripts; ./coldformix-a5 --l $(LANG) --v $(VERSION) --c $(CONFIG) 
#	cd $(LATEX); kghostview coldformix-$(LANG)-$(CONFIG)-$(VERSION)-a5.ps
	cd $(LATEX); ps2pdf coldformix-$(LANG)-$(CONFIG)-$(VERSION)-a5.ps
	cd $(LATEX); gv --orientation=landscape --scale=2 coldformix-$(LANG)-$(CONFIG)-$(VERSION)-a5.ps

# Loeschen von allem
clean:
	rm -rf coldformix-generated/$(LANG)

ps: dvi 
	cd $(LATEX); dvips coldformix-$(LANG)-$(CONFIG)-$(VERSION).dvi

dvi: tex 
	cd $(LATEX); latex coldformix-$(LANG)-$(CONFIG)-$(VERSION).tex
	cd $(LATEX); latex coldformix-$(LANG)-$(CONFIG)-$(VERSION).tex

tex:logph rtables substances links refrig refsym titlepage delta_t_m latexbase vocabulary
	cd coldformix-scripts; ./coldformix --lang $(LANG) --config $(CONFIG) --version $(VERSION) 




logph: coldformix-source/data/logph/*.ps
	cd coldformix-scripts; ./ps-diag --lang $(LANG)


rtables: coldformix-source/data/rtables/*.dat
	cd coldformix-scripts; ./latex-rtables --lang $(LANG) 


latexbase: coldformix-source/templates/formula-template.tex
# formula-template.tex when --file is empty
	cd coldformix-scripts; ./latex-formula --lang $(LANG)
	cd coldformix-scripts; ./latex-formula --file formula-et --lang $(LANG)
	cd coldformix-scripts; ./latex-formula --file moist-air --lang $(LANG)
	cd coldformix-scripts; ./latex-formula --file heat-transfer-coeff --lang $(LANG)
	cd coldformix-scripts; ./latex-formula --file pipe --lang $(LANG)
	cd coldformix-scripts; ./latex-formula --file units --lang $(LANG)
	cd coldformix-scripts; ./latex-symlist --lang $(LANG)

vocabulary: 
	cd coldformix-scripts; ./latex-vocabulary --lang $(LANG)

substances: 
	cd coldformix-scripts; ./latex-substances --lang $(LANG)

refrig: 
	cd coldformix-scripts; ./latex-rlist --lang $(LANG)

refsym:
	cd coldformix-scripts; ./latex-refsym --lang $(LANG) --config $(CONFIG)

links: 
	cd coldformix-scripts; ./latex-links --lang $(LANG)

titlepage: 
	cd coldformix-scripts; ./latex-titlepage --lang $(LANG)
delta_t_m: 
	cd coldformix-scripts; ./delta_t_m




############################################################
# Installation into the system
############################################################

# shared data
SHAREDIR=$(DESTDIR)/usr/share/coldformix

# tex config
TEXCNFDIR=$(DESTDIR)/etc/texmf/texmf.d

# root scripts
SBIN=$(DESTDIR)/usr/sbin

# Perl modules
PERLMOD=$(DESTDIR)/usr/share/perl5


install-mysql-build:
	install -d -m755 -oroot -groot $(SHAREDIR)/database
# The database
	install -oroot -groot --mode=0644 coldformix-source/data/database/coldformix.sql $(SHAREDIR)/database 
# Scripts to create and fill the database when installing the package
	install -d -m755 -oroot -groot $(SHAREDIR)/database-scripts
	install -oroot -groot --mode=0755 coldformix-scripts/coldformix-sqlroot $(SHAREDIR)/database-scripts 
# Scripts to be run as root to dump and load the database
	install -d -m755 -oroot -groot $(SBIN)
	install -oroot -groot --mode=0755 coldformix-scripts/coldformix-database-dump $(SBIN)
	install -oroot -groot --mode=0755 coldformix-scripts/coldformix-database-load $(SBIN)
# Module coldformix.pm
	@install -d -m755 -oroot -groot $(PERLMOD)
	@install -oroot -groot --mode=0644 coldformix-scripts/coldformix.pm $(PERLMOD)




install-mysql-devel:

install-source-build:
# Tex main_memory size 
	@install -d -m755 -oroot -groot $(TEXCNFDIR)
	@install -oroot -groot --mode=0644 conf/00coldformix.cnf $(TEXCNFDIR)

install-source-devel:




# Data
#PARTDIR=$(DESTDIR)/usr/share/qcad/libraries
PARTDIRQCAD=$(DESTDIR)/usr/share/qcad/libraries
PARTDIRLIBRECAD=$(DESTDIR)/usr/share/librecad/library
TMPDIR=$(DESTDIR)../../coldformix-generated/temp

# install EN_1861 in a Debian system
# qcad and librecad
install-refsym-cad:
	# remove old stuff
	@ rm -rf coldformix-generated/temp
	@ mkdir -p coldformix-generated/temp
	# make a copy
	@ cp -a coldformix-source/refsym/EN_1861 coldformix-generated/temp
	# delete unwanted files
	@ rm -rf coldformix-generated/temp/CVS
	@ rm -rf coldformix-generated/temp/EN_1861/CVS 
	@ rm -rf coldformix-generated/temp/EN_1861/*/CVS
	@ rm -rf coldformix-generated/temp/EN_1861/*/*.ps
	@ rm -rf coldformix-generated/temp/EN_1861/*/*/CVS
	@ rm -rf coldformix-generated/temp/EN_1861/*/*/*.ps
	@ rm -rf coldformix-generated/temp/EN_1861/*/*/*/CVS
	# rename the directory
	@ mv coldformix-generated/temp/EN_1861 coldformix-generated/temp/refrigeration
	# install it qcad
	@ install -d $(PARTDIRQCAD)
	@ cp -r coldformix-generated/temp/refrigeration $(PARTDIRQCAD)
	# install it librecad
	@ install -d $(PARTDIRLIBRECAD)
	@ cp -r coldformix-generated/temp/refrigeration $(PARTDIRLIBRECAD)
	# clean up
	@ rm -rf coldformix-generated/temp





# install real_components in a Debian system
# qcad and librecad
install-rc-cad:
	# remove old stuff
	@ rm -rf coldformix-generated/temp
	@ mkdir -p coldformix-generated/temp
	# make a copy
	@ cp -a coldformix-source/refsym/real_components coldformix-generated/temp
	# delete unwanted files
	@ rm -rf coldformix-generated/temp/CVS
	@ rm -rf coldformix-generated/temp/real_components/CVS 
	@ rm -rf coldformix-generated/temp/real_components/*/CVS
	@ rm -rf coldformix-generated/temp/real_components/*/*.ps
	@ rm -rf coldformix-generated/temp/real_components/*/*/CVS
	@ rm -rf coldformix-generated/temp/real_components/*/*/*.ps
	@ rm -rf coldformix-generated/temp/real_components/*/*/*/CVS
	@ rm -rf coldformix-generated/temp/real_components/calculations
	# rename the directory
	@ mv coldformix-generated/temp/real_components coldformix-generated/temp/real-components
	# install it qcad
	@ install -d $(PARTDIRQCAD)
	@ cp -r coldformix-generated/temp/real-components $(PARTDIRQCAD)
	# install it librecad
	@ install -d $(PARTDIRLIBRECAD)
	@ cp -r coldformix-generated/temp/real-components $(PARTDIRLIBRECAD)
	# clean up
	@ rm -rf coldformix-generated/temp


# install rlt symbols DIN 1946 T1 in a Debian system
# qcad and librecad
install-rltsym-cad:
	# remove old stuff
	@ rm -rf coldformix-generated/temp
	@ mkdir -p coldformix-generated/temp
	# make a copy
	@ cp -a coldformix-source/rltsym coldformix-generated/temp
	# delete unwanted files
	@ rm -rf coldformix-generated/temp/CVS
	@ rm -rf coldformix-generated/temp/rltsym/CVS 
	@ rm -rf coldformix-generated/temp/rltsym/*/CVS
	@ rm -rf coldformix-generated/temp/rltsym/*/*.ps
	@ rm -rf coldformix-generated/temp/rltsym/*/*/CVS
	@ rm -rf coldformix-generated/temp/rltsym/*/*/*.ps
	@ rm -rf coldformix-generated/temp/rltsym/*/*/*/CVS
	# rename the directory
	@ mv coldformix-generated/temp/rltsym coldformix-generated/temp/rlt
	# install it qcad
	@ install -d $(PARTDIRQCAD)
	@ cp -r coldformix-generated/temp/rlt $(PARTDIRQCAD)
	# install it librecad
	@ install -d $(PARTDIRLIBRECAD)
	@ cp -r coldformix-generated/temp/rlt $(PARTDIRLIBRECAD)
	# clean up
	@ rm -rf coldformix-generated/temp




# delete EN_1861 from a Debian system
clean-refsym-cad-debian:
	rm -rf $(PARTDIRQCAD)/refrigeration
	rm -rf $(PARTDIRLIBRECAD)/refrigeration

# delete real_components from a Debian system
clean-rc-cad-debian:
	rm -rf $(PARTDIRQCAD)/real-components
	rm -rf $(PARTDIRLIBRECAD)/real-components

# delete rlt symbols from a Debian system
clean-rlt-cad-debian:
	rm -rf $(PARTDIRQCAD)/rlt
	rm -rf $(PARTDIRLIBRECAD)/rlt



ZIPDIR=$(DESTDIR)../../coldformix-generated/refsym

WWW=/var/www/coldformixhtdoc/download/refsym


install-refsym-server:



deb:
	### deb
	### Prepare to build an debian
	@echo 'Did you do a dch -i ?'
	@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in cvs'
	@echo ''

=== coldformix-source/refsym/Makefile ===
#!/usr/bin/make
# Dies ist das Makefile fr refsym.zip


DESTDIR=

# Data
PARTDIR=$(DESTDIR)/usr/share/qcad/libraries
TMPDIR=$(DESTDIR)../../coldformix-generated/refsym-temp
ZIPDIR=$(DESTDIR)../../coldformix-generated/refsym

WWW=/var/lib/vservers/apache/var/www/coldformixhtdoc/download/refsym



# Allgemein (Debian und ML)
#====================================


refsym: zip upload clean


######################################################################
# install the symbols on a debian-system
# (if you are updating, please use clean-debian before installing)
######################################################################

# moved to coldformix/Makefile

#install: 


######################################################################
# create a zip-file for win
######################################################################
zip:
	mkdir -p $(TMPDIR)
	mkdir -p $(ZIPDIR)
	#mkdir $(TMPDIR)/Documentation
	# The symbols
	cp -av EN_1861 $(TMPDIR)
	rm -rf $(TMPDIR)/CVS
	rm -rf $(TMPDIR)/EN_1861/CVS
	rm -rf $(TMPDIR)/EN_1861/*.ps
	rm -rf $(TMPDIR)/EN_1861/*/CVS
	rm -rf $(TMPDIR)/EN_1861/*/*.ps
	rm -rf $(TMPDIR)/EN_1861/*/*/CVS
	rm -rf $(TMPDIR)/EN_1861/*/*/*.ps
	# The Documentation
#	cp Makefile $(TMPDIR)/Documentation
#	cp symbole-erstellen $(TMPDIR)/Documentation
#	cp README $(TMPDIR)/Documentation
	cd $(TMPDIR); zip -r ../refsym/refsym.zip ./
#	rm -rf $(TMPDIR)


upload:
	scp $(ZIPDIR)/refsym.zip root@141.31.130.222:$(WWW)



clean: 
	rm -rf $(TMPDIR)
	rm $(ZIPDIR)/refsym.zip
	rmdir $(ZIPDIR)

=== debian/coldformix/usr/share/qcad/libraries/rlt/Makefile ===
#!/usr/bin/make
# Dies ist das Makefile fr die RLT-Symbole
 

# installieren: NICHT mit diesem Makefile, sondern
#
# cd coldformix
# sudo make install-rltsym-qcad


DESTDIR=

# Data
PARTDIR=$(DESTDIR)/usr/share/qcad/libraries
TMPDIR=$(DESTDIR)../../coldformix-generated/rltsym-temp
ZIPDIR=$(DESTDIR)../../coldformix-generated/rltsym

WWW=/var/lib/vservers/apache/var/www/coldformixhtdoc/download/rltsym



# Allgemein (Debian und ML)
#====================================


rltsym: zip upload clean


######################################################################
# install the symbols on a debian-system
# (if you are updating, please use clean-debian before installing)
######################################################################



######################################################################
# create a zip-file for win
######################################################################
zip:
	mkdir -p $(TMPDIR)
	mkdir -p $(ZIPDIR)
	#mkdir $(TMPDIR)/Documentation
	# The symbols
	cp -av DIN_1946_T1 $(TMPDIR)
	rm -rf $(TMPDIR)/CVS
	rm -rf $(TMPDIR)/DIN_1946_T1/CVS
	rm -rf $(TMPDIR)/DIN_1946_T1/*.ps
	rm -rf $(TMPDIR)/DIN_1946_T1/*/CVS
	rm -rf $(TMPDIR)/DIN_1946_T1/*/*.ps
	rm -rf $(TMPDIR)/DIN_1946_T1/*/*/CVS
	rm -rf $(TMPDIR)/DIN_1946_T1/*/*/*.ps
	# The Documentation
#	cp Makefile $(TMPDIR)/Documentation
#	cp symbole-erstellen $(TMPDIR)/Documentation
#	cp README $(TMPDIR)/Documentation
	cd $(TMPDIR); zip -r ../rltsym/rltsym.zip ./
#	rm -rf $(TMPDIR)


upload:
	scp $(ZIPDIR)/rltsym.zip root@141.31.130.222:$(WWW)



clean: 
	rm -rf $(TMPDIR)
	rm $(ZIPDIR)/rltsym.zip
	rmdir $(ZIPDIR)

=== debian/changelog ===
coldformix (0.1.2-1) xenial; urgency=medium

  * added Exam template, pzl, tsl, tsh, ...

 -- jeff <bz@adler>  Wed, 25 Oct 2017 19:40:39 +0200

coldformix (0.1.1-2) trusty; urgency=medium

  * more RI-Symbols

 -- jeff <bz@adler>  Wed, 11 Oct 2017 08:25:09 +0200

coldformix (0.1.0-2) xenial; urgency=medium

  * Added Blatt mkk

 -- jeff <bz@adler>  Tue, 26 Sep 2017 21:37:45 +0200

coldformix (0.0.9-1) trusty-testing; urgency=medium

  * Added missig dependencies
  * Added h_M and x_M formulas

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 02 Jul 2015 17:52:05 +0200

coldformix (0.0.8-1) trusty-testing; urgency=medium

  * First package for trusty 
  * memory expansion mechanism updated

 -- jeff <bz@adler>  Tue, 30 Jun 2015 18:12:27 +0200

coldformix (0.0.6-1ubuntu2) precise; urgency=low

  * Update for librecad on unbuntu precise

 -- bz <bz@t61>  Thu, 29 Mar 2012 17:48:17 +0200

coldformix (0.0.5-1ubuntu1) lucid; urgency=low

  * A few rlt symbols added

 -- Ruediger Beck <bz@adler>  Sat, 07 May 2011 18:37:32 +0200

coldformix (0.0.4-1ubuntu1) lucid; urgency=low

  * New rlt symbols

 -- Ruediger Beck <bz@adler>  Mon, 25 Apr 2011 11:52:56 +0200

coldformix (0.0.3-1ubuntu1) lucid; urgency=low

  * build with rltsym

 -- Ruediger Beck <bz@adler>  Tue, 07 Dec 2010 11:00:07 +0100

coldformix (0.0.2-2ubuntu1) karmic; urgency=low

  * first build on ubuntu

 -- root <root@adler>  Wed, 25 Nov 2009 10:41:29 +0100

coldformix (0.0.2-2) unstable; urgency=low

  * qcad package is working

 -- jeffbeck <bz@adler.bszleo.home>  Mon,  5 Mar 2007 10:07:11 +0100

coldformix (0.0.2-1) unstable; urgency=low

  * database dump changed

 -- jeffbeck <bz@adler.bszleo.home>  Sat,  3 Mar 2007 12:45:13 +0100

coldformix (0.0.1-2) unstable; urgency=low

  * small Bugfixes

 -- jeffbeck <bz@adler.bszleo.home>  Fri,  2 Mar 2007 20:11:09 +0100

coldformix (0.0.1-1) unstable; urgency=low

  * first release

 -- jeffbeck <bz@localhost.localdomain>  Thu, 15 Feb 2007 02:45:15 +0100

=== debian/control ===
Source: coldformix
Section: admin
Priority: optional
Maintainer: Rdiger Beck <jeffbeck@web.de>
Build-Depends: debhelper (>> 3.0.0), perl-base (>=5.8.4), fakeroot
Standards-Version: 3.5.2


Package: coldformix-mysql-build
Architecture: all
Depends:  mysql-server
Description: coldformix-database
 coldformix-mysql sets up the coldformix database, that must be
 accessed when building the coldformix formula collection from source


Package: coldformix-mysql-devel
Architecture: all
Depends:  coldformix-mysql-build, phpmyadmin
Description: coldformix-database developer tools
 coldformix-mysql sets up tools to edit, dump and update the
 coldformix database


Package: coldformix-source-build
Architecture: all
Depends: make, perl, libdbi-perl, libdbd-mysql-perl, texlive, texlive-science, gv, texlive-lang-german, texlive-latex-extra   
Description: tools to build the coldformix formula collection from git 
 coldformix-source-build depends on all packages that are needed to
 build the coldformix formula collection from a git repository


Package: coldformix-source-devel
Architecture: all
Depends: coldformix-source-build, xfig, transfig
Description: tools to edit the coldformix formula collection 
 coldformix-source-devel depends on all packages that are needed to
 edit the coldformix formula collection in a git repository
 

Package: coldformix-refsym-qcad
Architecture: all
Depends:  qcad
Description: Refrigeration symbols for qcad
 coldformix-refsym-qcad installs the refrigeration symbols that are
 used in the coldformix formula collection to be used in
 qcad. Where necessary, additional symbols are provided.

Package: coldformix-refsym-librecad
Architecture: all
Depends:  librecad
Description: Refrigeration symbols for librecad
 coldformix-refsym-librecad installs the refrigeration symbols that are
 used in the coldformix formula collection to be used in
 librecad. Where necessary, additional symbols are provided.


Package: coldformix-rltsym-qcad
Architecture: all
Depends:  qcad
Description: RLT symbols for qcad
 coldformix-refsym-qcad installs the RLT (HVAC) symbols that are
 used in the coldformix formula collection to be used in
 qcad. Where necessary, additional symbols are provided.

Package: coldformix-rltsym-librecad
Architecture: all
Depends:  librecad
Description: RLT symbols for librecad
 coldformix-refsym-librecad installs the RLT (HVAC) symbols that are
 used in the coldformix formula collection to be used in
 librecad. Where necessary, additional symbols are provided.


Package: coldformix-rc-qcad
Architecture: all
Depends:  qcad
Description: Real Refrigeration Component symbols for qcad
 coldformix-rc-qcad installs Real Refrigeration Component symbols

Package: coldformix-rc-librecad
Architecture: all
Depends:  librecad
Description: Real Refrigeration Component symbols for librecad
 coldformix-rc-librecad installs Real Refrigeration Component symbols


Package: coldformix-refsym-server
Architecture: all
Depends: 
Description: make colfdormix refrigeration symbols available by http
 coldformix-refsym-server sets up a webserver to make the refsyms
 downloadable. The html pages are made available from git.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/coldformix.
	$(MAKE) install-mysql-build DESTDIR=$(CURDIR)/debian/coldformix
	$(MAKE) install-mysql-devel DESTDIR=$(CURDIR)/debian/coldformix
	$(MAKE) install-source-build DESTDIR=$(CURDIR)/debian/coldformix
	$(MAKE) install-source-devel DESTDIR=$(CURDIR)/debian/coldformix
	$(MAKE) install-refsym-cad DESTDIR=$(CURDIR)/debian/coldformix
	$(MAKE) install-rltsym-cad DESTDIR=$(CURDIR)/debian/coldformix
	$(MAKE) install-rc-cad DESTDIR=$(CURDIR)/debian/coldformix
	$(MAKE) install-refsym-server DESTDIR=$(CURDIR)/debian/coldformix


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
#	dh_installdocs -psophomorix-doc-html sophomorix-doc/html
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for sophomorix-base
#	dh_installman -psophomorix2 sophomorix2/man/de/sophomorix.de.8
#	dh_installman -psophomorix-base sophomorix-base/man/en/sophomorix-check.8
#	dh_installinfo
#	dh_undocumented
	dh_install --sourcedir=debian/coldformix
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
